package Algorithms.Animated.BK;

import Algorithms.Animated.AlgorithmStep;
import Model.LayeredGraphNode;

public class Layout implements AlgorithmStep {

	public enum LayoutType{
		TOP_BOTTOM_LEFT,
		TOP_BOTTOM_RIGHT,
		BOTTOM_TOP_LEFT,
		BOTTOM_TOP_RIGHT
	}
	
	private LayoutType typ;
	BlockCalc bc;
	
	public Layout( LayoutType typ, LayeredGraphNode graph )
	{
		this.typ = typ;
		bc = new BlockCalc( graph );
	}
	
	@Override
	public StepStatus forwardStep() {
		bc.forwardStep();
		return StepStatus.UNFINISHED;
	}

	@Override
	public StepStatus backwardStep() {
		return bc.backwardStep();
	}

}
